class LeadListContactPopUpResponse {
  String? error;
  List<Contacts>? contacts;
  String? message;

  LeadListContactPopUpResponse({this.error, this.contacts, this.message});

  LeadListContactPopUpResponse.fromJson(Map<String, dynamic> json) {
    error = json['error'];
    if (json['contacts'] != null) {
      contacts = <Contacts>[];
      json['contacts'].forEach((v) {
        contacts!.add(new Contacts.fromJson(v));
      });
    }
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['error'] = this.error;
    if (this.contacts != null) {
      data['contacts'] = this.contacts!.map((v) => v.toJson()).toList();
    }
    data['message'] = this.message;
    return data;
  }
}

class Contacts {
  String? id;
  String? accId;
  String? name;
  String? salutationName;
  String? mob1;
  String? mob2;
  String? tel;
  String? email;
  String? type;
  String? designation;
  String? date;
  String? isExists;
  String? createdDatetime;
  String? updatedDatetime;

  Contacts(
      {this.id,
        this.accId,
        this.name,
        this.salutationName,
        this.mob1,
        this.mob2,
        this.tel,
        this.email,
        this.type,
        this.designation,
        this.date,
        this.isExists,
        this.createdDatetime,
        this.updatedDatetime});

  Contacts.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    accId = json['acc_id'];
    name = json['name'];
    salutationName = json['salutation_name'];
    mob1 = json['mob1'];
    mob2 = json['mob2'];
    tel = json['tel'];
    email = json['email'];
    type = json['type'];
    designation = json['designation'];
    date = json['date'];
    isExists = json['is_exists'];
    createdDatetime = json['created_datetime'];
    updatedDatetime = json['updated_datetime'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['acc_id'] = this.accId;
    data['name'] = this.name;
    data['salutation_name'] = this.salutationName;
    data['mob1'] = this.mob1;
    data['mob2'] = this.mob2;
    data['tel'] = this.tel;
    data['email'] = this.email;
    data['type'] = this.type;
    data['designation'] = this.designation;
    data['date'] = this.date;
    data['is_exists'] = this.isExists;
    data['created_datetime'] = this.createdDatetime;
    data['updated_datetime'] = this.updatedDatetime;
    return data;
  }
}
